# $Revision: 1.4 $, $Date: 2004/10/11 12:26:07 $
Summary:	"Ha" Background - setting of window manager background image
Summary(pl):	"Ha" Background - program do ustawiania ta zarzdcy okien
Name:		habak
Version:	0.2.4.1
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://fvwm-crystal.berlios.de/files/files/habak/%{name}-%{version}.tar.gz
# Source0-md5:	bdcdd813ca7ebeca1188a65d731c0a75
URL:		http://fvwm-crystal.berlios.de/
BuildRequires:	imlib2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Habak sets window manager background image. Habak uses layered model.
Lowest layer is completely black screen. On this screen you can put
other objects called habaks. There are 3 kinds of habaks: images,
fonts and internals. Wallpaper is made by combining one or more
habaks. Order of defining habaks in command line is also order of
putting it on stack, so habak which is last on the command line is
drawn over all previous habaks.

%description -l pl
Habak jest programem do ustawiania ta zarzdcy okien. Habak uywa
modelu warstwowego. Najnisz warstw jest po prostu cakiem czarny
ekran. Na tym ekranie mona ukada inne obiekty, zwane habakami.
Habaki dzielone s na 3 rodzaje: pliki graficzne (images), fonty i
"obiekty wbudowane" (internals). Gotow tapet tworzy si nakadajc
na czarny pulpit jeden lub wicej habakw dowolnego typu. Kolejno
wystpowania habakw w linii polece jest zarazem kolejnoci
nakadania ich na pulpit, czyli habak ktry wystpuje ostatni zostanie
narysowany nad "wczeniejszymi" habakami.

%prep
%setup -q

%build
%{__make} \
	CFLAGS="%{rpmcflags} -I/usr/X11R6/include -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install habak $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: habak.spec,v $
Revision 1.4  2004/10/11 12:26:07  mguevara
- update to 0.2.4.1
- URL change to berlios.de

Revision 1.3  2004/05/24 13:54:09  leafnode
- updated to 0.2.4

Revision 1.2  2003/12/26 14:57:52  qboosh
- optflags, pl summary, s/menedera/zarzdcy/ unification

Revision 1.1  2003/12/26 11:49:23  leafnode
- created, adapterized
